summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcel Unbehaun <frostworks@gmx.de>2009-07-29 11:02:13 +0200
committerMarcel Unbehaun <frostworks@gmx.de>2009-07-29 11:49:06 +0200
commit68c9779c2c68af1553b1c5b84bb4d5ca4a11fcdd (patch)
treed68d472f6afe6c43995ab2fc665beb8762e5c518 /dev-libs
parent(games-puzzle/polly-b-gone) added Manifest (diff)
downloadgamerlay-68c9779c2c68af1553b1c5b84bb4d5ca4a11fcdd.tar.gz
gamerlay-68c9779c2c68af1553b1c5b84bb4d5ca4a11fcdd.tar.bz2
gamerlay-68c9779c2c68af1553b1c5b84bb4d5ca4a11fcdd.zip
(dev-libs/bulletss) added Manifest
(dev-libs/bulletss) added bulletss-0.0.1.ebuild (dev-libs/bulletss) added files/digest-bulletss-0.0.1 (dev-libs/bulletss) added files/digest-libbulletml-d-0.0.1 (dev-libs/bulletss) added files/fix.diff (dev-libs/bulletss) added metadata.xml
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/bulletss/Manifest4
-rw-r--r--dev-libs/bulletss/bulletss-0.0.1.ebuild51
-rw-r--r--dev-libs/bulletss/files/digest-bulletss-0.0.13
-rw-r--r--dev-libs/bulletss/files/digest-libbulletml-d-0.0.13
-rw-r--r--dev-libs/bulletss/files/fix.diff8
-rw-r--r--dev-libs/bulletss/metadata.xml5
6 files changed, 74 insertions, 0 deletions
diff --git a/dev-libs/bulletss/Manifest b/dev-libs/bulletss/Manifest
new file mode 100644
index 0000000..12adae1
--- /dev/null
+++ b/dev-libs/bulletss/Manifest
@@ -0,0 +1,4 @@
+AUX fix.diff 226 RMD160 4b135c3e86911487a5ac4d72187152dfd584c1dd SHA1 ac2f651abaf9e2ac70daf8a58714950a5bd01b36 SHA256 0f2276933accabf0d8162ce990684aaa2344e1abd11cf2976977545d9d9757f9
+DIST bulletss.zip 488290 RMD160 78f039dcdd62a20a9104b5774bb4642b4e6f8cda SHA1 034a1a70b6a647e7f8d1acd208db9af138c4df9c SHA256 6646a79b888b21f93070e1e3333f15ff5dd969608e54d1118f981faec049e985
+EBUILD bulletss-0.0.1.ebuild 955 RMD160 bfa4be867a315993ac924243084d8c225e3b5f0a SHA1 a7b73265b9ce5dfd2b3ddf13ba74d8cef62d4e3d SHA256 57dd5295ebaee5b816b84d02149bb33eff718570b76e33c6c977ba07367165cc
+MISC metadata.xml 161 RMD160 734c72757bdba2e93d5c7cfa946fd9eb69e01681 SHA1 e721608e30cdca8dd809c1024687fe4887c49293 SHA256 5102a957a119374da719ca711f473e89fd4183d4e91e86f59e2fc4dce7e607dc
diff --git a/dev-libs/bulletss/bulletss-0.0.1.ebuild b/dev-libs/bulletss/bulletss-0.0.1.ebuild
new file mode 100644
index 0000000..e326637
--- /dev/null
+++ b/dev-libs/bulletss/bulletss-0.0.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils multilib
+
+IUSE=""
+
+DESCRIPTION="A Library of Bullet Markup Language for D-Lang"
+SRC_URI="http://my.vector.co.jp/servlet/System.FileDownload/download/http/0/301119/pack/win95/game/tool/bulletss.zip"
+HOMEPAGE="http://shinh.skr.jp/bulletss/"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="ppc x86 ~alpha"
+IUSE=""
+
+DEPEND="<=sys-devel/gcc-4.1.2[d]
+ dev-lang/perl
+ sys-devel/bison
+ app-arch/unzip"
+
+RDEPEND=""
+
+S="${WORKDIR}"/bulletss
+
+src_unpack() {
+ unpack ${A}
+ cd "${WORKDIR}"/bulletss/
+
+ epatch "${FILESDIR}"/fix.diff
+}
+
+src_compile() {
+ emake -C bulletml || die
+}
+
+src_install() {
+ dodoc README*
+
+ cd "${S}"/bulletml
+ dolib.a libbulletml_d.a
+
+ insinto /usr/include/bulletml-d
+ doins *.h
+
+ dodir /usr/lib/dmd/phobos
+ insinto /usr/lib/dmd/phobos
+ doins bulletml.d
+ dosed "s:\(alias bit bool\)://\1:" /usr/lib/dmd/phobos/bulletml.d
+}
diff --git a/dev-libs/bulletss/files/digest-bulletss-0.0.1 b/dev-libs/bulletss/files/digest-bulletss-0.0.1
new file mode 100644
index 0000000..a283a3c
--- /dev/null
+++ b/dev-libs/bulletss/files/digest-bulletss-0.0.1
@@ -0,0 +1,3 @@
+MD5 916748631d8f8120fcb3b8be297d4cc4 bulletss.zip 488290
+RMD160 78f039dcdd62a20a9104b5774bb4642b4e6f8cda bulletss.zip 488290
+SHA256 6646a79b888b21f93070e1e3333f15ff5dd969608e54d1118f981faec049e985 bulletss.zip 488290
diff --git a/dev-libs/bulletss/files/digest-libbulletml-d-0.0.1 b/dev-libs/bulletss/files/digest-libbulletml-d-0.0.1
new file mode 100644
index 0000000..a283a3c
--- /dev/null
+++ b/dev-libs/bulletss/files/digest-libbulletml-d-0.0.1
@@ -0,0 +1,3 @@
+MD5 916748631d8f8120fcb3b8be297d4cc4 bulletss.zip 488290
+RMD160 78f039dcdd62a20a9104b5774bb4642b4e6f8cda bulletss.zip 488290
+SHA256 6646a79b888b21f93070e1e3333f15ff5dd969608e54d1118f981faec049e985 bulletss.zip 488290
diff --git a/dev-libs/bulletss/files/fix.diff b/dev-libs/bulletss/files/fix.diff
new file mode 100644
index 0000000..c8c9d09
--- /dev/null
+++ b/dev-libs/bulletss/files/fix.diff
@@ -0,0 +1,8 @@
+--- bulletml/d_cpp_interface.h
++++ bulletml/d_cpp_interface.h
+@@ -1,4 +1,4 @@
+-#define D_CPP_CLASS(CLASS, CLASS_NAME) ;
++#define D_CPP_CLASS(CLASS, CLASS_NAME)
+
+ #define D_CPP_NEW_0(CLASS, NEW_NAME) \
+ CLASS* NEW_NAME() { \
diff --git a/dev-libs/bulletss/metadata.xml b/dev-libs/bulletss/metadata.xml
new file mode 100644
index 0000000..4a5a466
--- /dev/null
+++ b/dev-libs/bulletss/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>playboys</herd>
+</pkgmetadata>